=== debian/control ===
Source: linux-signed-i386
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), rsync, sbsigntool [amd64 arm64 i386], kernel-wedge (>= 2.102~), linux-kbuild-5.10, linux-support-5.10.0-21 (= 5.10.162-1), linux-image-5.10.0-21-686-unsigned (= 5.10.162-1) [i386], linux-image-5.10.0-21-686-pae-unsigned (= 5.10.162-1) [i386], linux-image-5.10.0-21-rt-686-pae-unsigned (= 5.10.162-1) [i386]
Homepage: https://www.kernel.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: kernel-image-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: kernel-image, rtc-modules
Description: Linux kernel image and core modules for the Debian installer
 This package contains the kernel image and core modules for the Debian
 installer boot images.  It does _not_ provide a usable kernel for your
 full Debian system.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: nic-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-5.10.0-21-686-di, nic-shared-modules-5.10.0-21-686-di, i2c-modules-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di, mtd-core-modules-5.10.0-21-686-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: nic-wireless-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-5.10.0-21-686-di, nic-shared-modules-5.10.0-21-686-di, usb-modules-5.10.0-21-686-di, mmc-core-modules-5.10.0-21-686-di, pcmcia-modules-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di, rfkill-modules-5.10.0-21-686-di, crypto-modules-5.10.0-21-686-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: nic-shared-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-5.10.0-21-686-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: serial-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-5.10.0-21-686-di, pcmcia-modules-5.10.0-21-686-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: usb-serial-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-5.10.0-21-686-di, usb-modules-5.10.0-21-686-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: ppp-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-5.10.0-21-686-di, serial-modules-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: pata-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-5.10.0-21-686-di, ata-modules-5.10.0-21-686-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: cdrom-core-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-5.10.0-21-686-di, scsi-core-modules-5.10.0-21-686-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: firewire-core-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: firewire-core-modules
Depends: kernel-image-5.10.0-21-686-di, scsi-core-modules-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di
Description: Core FireWire drivers
 This package contains core FireWire drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: scsi-core-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-5.10.0-21-686-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: scsi-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-5.10.0-21-686-di, scsi-core-modules-5.10.0-21-686-di, cdrom-core-modules-5.10.0-21-686-di, ata-modules-5.10.0-21-686-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: scsi-nic-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: scsi-nic-modules
Depends: scsi-modules-5.10.0-21-686-di, nic-modules-5.10.0-21-686-di
Description: SCSI drivers for converged NICs
 This package contains SCSI drivers that depend on net drivers.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: loop-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-5.10.0-21-686-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: btrfs-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: btrfs-modules
Depends: kernel-image-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di, md-modules-5.10.0-21-686-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: ext4-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: isofs-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-5.10.0-21-686-di, cdrom-core-modules-5.10.0-21-686-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: jfs-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: jfs-modules
Depends: kernel-image-5.10.0-21-686-di
Description: JFS filesystem support
 This package contains the JFS filesystem module for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: xfs-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: xfs-modules
Depends: kernel-image-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di
Description: XFS filesystem support
 This package contains the XFS filesystem module for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: fat-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: fat-modules
Depends: kernel-image-5.10.0-21-686-di
Description: FAT filesystem support
 This package contains the FAT and VFAT filesystem modules for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: squashfs-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: squashfs-modules
Depends: kernel-image-5.10.0-21-686-di
Description: squashfs modules
 This package contains squashfs modules.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: udf-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: udf-modules
Depends: kernel-image-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di, cdrom-core-modules-5.10.0-21-686-di
Description: UDF modules
 This package contains the UDF filesystem module.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: fuse-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: fuse-modules
Depends: kernel-image-5.10.0-21-686-di
Description: FUSE modules
 This package contains the Filesystem in Userspace (FUSE) module.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: f2fs-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: f2fs-modules
Depends: kernel-image-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di
Description: f2fs filesystem support
 This package contains the f2fs (Flash-Friendly Filesystem) module.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: md-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: md-modules
Depends: kernel-image-5.10.0-21-686-di, crc-modules-5.10.0-21-686-di
Description: RAID and LVM support
 This package contains RAID and LVM modules for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: multipath-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: multipath-modules
Depends: kernel-image-5.10.0-21-686-di, md-modules-5.10.0-21-686-di, scsi-core-modules-5.10.0-21-686-di
Description: Multipath support
 This package contains DM-Multipath modules for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: usb-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: usb-modules
Depends: kernel-image-5.10.0-21-686-di
Description: USB support
 This package contains core USB drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: usb-storage-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: usb-storage-modules
Depends: kernel-image-5.10.0-21-686-di, scsi-core-modules-5.10.0-21-686-di, usb-modules-5.10.0-21-686-di
Description: USB storage support
 This package contains the USB storage driver for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: pcmcia-storage-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: standard
Provides: pcmcia-storage-modules
Depends: kernel-image-5.10.0-21-686-di, cdrom-core-modules-5.10.0-21-686-di, pcmcia-modules-5.10.0-21-686-di, ata-modules-5.10.0-21-686-di
Description: PCMCIA storage drivers
 This package contains PCMCIA storage drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: fb-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: fb-modules
Depends: kernel-image-5.10.0-21-686-di, i2c-modules-5.10.0-21-686-di
Description: Frame buffer support
 This package contains Frame buffer drivers for the kernel.
Kernel-Version: 5.10.0-21-686
Package-Type: udeb

Package: input-modules-5.10.0-21-686-di
Architecture: i386
Section: debian-installer
Priority: optional
Provides: input-modules
