## linux-signed-i386 5.10.178+3

=== debian/changelog ===
linux-signed-i386 (5.10.178+3) bullseye; urgency=medium

  * Sign kernel from linux 5.10.178-3

  * [mips*] Define RUNTIME_DISCARD_EXIT in LD script

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Apr 2023 14:24:15 +0200

linux (5.10.178-2) bullseye; urgency=medium

  * docs: futex: Fix kernel-doc references after code split-up preparation
  * powerpc/doc: Fix htmldocs errors

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Apr 2023 00:51:39 +0200

linux (5.10.178-1) bullseye; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.10.163
    - [arm64,armhf] usb: musb: remove extra check in musb_gadget_vbus_draw
    - [arm64] dts: qcom: ipq6018-cp01-c1: use BLSPI1 pins
    - [armhf] dts: stm32: Drop stm32mp15xc.dtsi from Avenger96
    - [arm64] perf/smmuv3: Fix hotplug callback leak in arm_smmu_pmu_init()
    - [arm64] dts: armada-3720-turris-mox: Add missing interrupt for RTC
    - pstore/ram: Fix error return code in ramoops_probe()
    - [armhf] mmp: fix timer_read delay
    - pstore: Avoid kcore oops by vmap()ing with VM_IOREMAP
    - sched/fair: Cleanup task_util and capacity type
    - sched/uclamp: Fix relationship between uclamp and migration margin
    - cpuidle: dt: Return the correct numbers of parsed idle states
    - PM: hibernate: Fix mistake in kerneldoc comment
    - fs: don't audit the capability check in simple_xattr_list()
    - perf: Fix possible memleak in pmu_dev_alloc()
    - [x86] platform/x86: huawei-wmi: fix return value calculation
    - timerqueue: Use rb_entry_safe() in timerqueue_getnext()
    - lib/fonts: fix undefined behavior in bit shift for get_default_font
    - ocfs2: fix memory leak in ocfs2_stack_glue_init()
    - PNP: fix name memory leak in pnp_alloc_dev()
    - [x86] perf/x86/intel/uncore: Fix reference count leak in
      hswep_has_limit_sbox()
    - [x86] perf/x86/intel/uncore: Fix reference count leak in
      snr_uncore_mmio_map()
    - [x86] perf/x86/intel/uncore: Fix reference count leak in
      __uncore_imc_init_box()
    - [arm64] platform/chrome: cros_usbpd_notify: Fix error handling in
      cros_usbpd_notify_init()
    - [arm64] irqchip: gic-pm: Use pm_runtime_resume_and_get() in gic_probe()
    - [amd64] EDAC/i10nm: fix refcount leak in pci_get_dev_wrapper()
    - nfsd: don't call nfsd_file_put from client states seqfile display
    - genirq/irqdesc: Don't try to remove non-existing sysfs files
    - [x86] cpufreq: amd_freq_sensitivity: Add missing pci_dev_put()
    - libfs: add DEFINE_SIMPLE_ATTRIBUTE_SIGNED for signed value
    - lib/notifier-error-inject: fix error when writing -errno to debugfs file
    - docs: fault-injection: fix non-working usage of negative values
    - debugfs: fix error when writing negative value to atomic_t debugfs file
    - ocfs2: ocfs2_mount_volume does cleanup job before return error
    - ocfs2: rewrite error handling of ocfs2_fill_super
    - ocfs2: fix memory leak in ocfs2_mount_volume()
    - rapidio: fix possible name leaks when rio_add_device() fails
    - rapidio: rio: fix possible name leak in rio_register_mport()
    - futex: Move to kernel/futex/
    - futex: Resend potentially swallowed owner death notification
    - cpu/hotplug: Make target_store() a nop when target == state
    - [armhf] clocksource/drivers/timer-ti-dm: Fix missing clk_disable_unprepare
      in dmtimer_systimer_init_clock()
    - ACPICA: Fix use-after-free in acpi_ut_copy_ipackage_to_ipackage()
    - [x86] uprobes/x86: Allow to probe a NOP instruction with 0x66 prefix
    - [x86] xen: Fix memory leak in xen_smp_intr_init{_pv}()
    - [x86] xen: Fix memory leak in xen_init_lock_cpu()
    - xen/privcmd: Fix a possible warning in privcmd_ioctl_mmap_resource()
    - PM: runtime: Improve path in rpm_idle() when no callback
    - PM: runtime: Do not call __rpm_callback() from rpm_idle()
    - [x86] platform/x86: mxm-wmi: fix memleak in mxm_wmi_call_mx[ds|mx]()
    - [x86] platform/x86: intel_scu_ipc: fix possible name leak in
      __intel_scu_ipc_register()
    - fs: sysv: Fix sysv_nblocks() returns wrong value
    - rapidio: fix possible UAF when kfifo_alloc() fails
    - eventfd: change int to __u64 in eventfd_signal() ifndef CONFIG_EVENTFD
    - relay: fix type mismatch when allocating memory in relay_create_buf()
    - hfs: Fix OOB Write in hfs_asc2mac
    - rapidio: devices: fix missing put_device in mport_cdev_open
    - wifi: ath9k: hif_usb: fix memory leak of urbs in
      ath9k_hif_usb_dealloc_tx_urbs()
    - wifi: ath9k: hif_usb: Fix use-after-free in ath9k_hif_usb_reg_in_cb()
    - wifi: rtl8xxxu: Fix reading the vendor of combo chips
    - [arm64] drm/bridge: adv7533: remove dynamic lane switching from adv7533
      bridge
    - [armhf] media: coda: jpeg: Add check for kmalloc
    - [arm64] venus: pm_helpers: Fix error check in vcodec_domains_get()
    - can: kvaser_usb: do not increase tx statistics when sending error message
      frames
    - can: kvaser_usb: kvaser_usb_leaf: Get capabilities from device
    - can: kvaser_usb: kvaser_usb_leaf: Rename {leaf,usbcan}_cmd_error_event to
      {leaf,usbcan}_cmd_can_error_event
    - can: kvaser_usb: kvaser_usb_leaf: Handle CMD_ERROR_EVENT
    - can: kvaser_usb_leaf: Set Warning state even without bus errors
    - can: kvaser_usb_leaf: Fix improved state not being reported
    - can: kvaser_usb_leaf: Fix wrong CAN state after stopping
    - can: kvaser_usb_leaf: Fix bogus restart events
    - can: kvaser_usb: Add struct kvaser_usb_busparams
    - can: kvaser_usb: Compare requested bittiming parameters with actual
      parameters in do_set_{,data}_bittiming
    - spi: Update reference to struct spi_controller
    - ima: Fix fall-through warnings for Clang
    - ima: Handle -ESTALE returned by ima_filter_rule_match()
    - [arm64] drm/msm/hdmi: switch to drm_bridge_connector
    - [arm64] drm/msm/hdmi: drop unused GPIO support
    - bpf: Fix slot type check in check_stack_write_var_off

